#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.2.1
visibility:           public
id:                   primitive-extras-0.10.2.1-9PKSOTkEpU075h3cnJc5z0
key:                  primitive-extras-0.10.2.1-9PKSOTkEpU075h3cnJc5z0
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  c580d68de663d1a1da670babea8cdcda
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2.1-9PKSOTkEpU075h3cnJc5z0
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    cereal-0.5.8.3-9zcITCTkqXtHoa6jbeSF22
    deferred-folds-0.9.18.6-6I6oV2NBzd5HfsPBZXcton
    focus-1.0.3.2-7hOtZK5JVPtBP2xiYByOpI
    foldl-1.4.17-IsKhKk4UB3R6CdguBSLaU7
    list-t-1.0.5.5-BTtiG016BlQc1EVW0jV5a
    primitive-0.7.4.0-2x9HuitYxlcInteNIbUTzK
    primitive-unlifted-0.1.3.1-JxebFhxIulnBwYI4Yvcqr2
    profunctors-5.6.2-6QD8D6RGxabIMxmYDavcBB
    vector-0.13.1.0-HRMJcTNtHmH9PMIsGjP73X

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

